package com.slideme.demo.controller;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PermissionInfo;
import android.os.Bundle;
import android.util.Printer;
import android.view.Menu;
import android.view.MenuItem;
import com.slideme.demo.R;

import java.util.List;


public class SplashActivity extends Activity {

    private boolean hasMenu = false;
    private static final String MENU_CHECK4SAM = "Check4SAM";
    private static final String MENU_INTERACTIONS = "Interactions";
    private static final String MENU_SLIDELOCK = "SlideLock";

    /**
     * Called when the activity is first created.
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        setTitle("SlideME Demo");
        setContentView(R.layout.main);
        super.onCreate(savedInstanceState);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);
        if (!hasMenu) {
            menu.add(MENU_CHECK4SAM).setOnMenuItemClickListener(new MenuItem.OnMenuItemClickListener() {
                public boolean onMenuItemClick(MenuItem menuItem) {
                    Intent intent = new Intent(Intent.ACTION_DEFAULT);
                    intent.setClass(SplashActivity.this, CheckForSamActivity.class);
                    SplashActivity.this.startActivity(intent);
                    return true;
                }
            });

            menu.add(MENU_INTERACTIONS).setOnMenuItemClickListener(new MenuItem.OnMenuItemClickListener() {
                public boolean onMenuItemClick(MenuItem menuItem) {
                    Intent intent = new Intent(Intent.ACTION_DEFAULT);
                    intent.setClass(SplashActivity.this, SamInteractionActivity.class);
                    SplashActivity.this.startActivity(intent);
                    return true;
                }
            });

            menu.add(MENU_SLIDELOCK).setOnMenuItemClickListener(new MenuItem.OnMenuItemClickListener() {
                public boolean onMenuItemClick(MenuItem menuItem) {
                    Intent intent = new Intent(Intent.ACTION_DEFAULT);
                    intent.setClass(SplashActivity.this, SlideLockedActivity.class);
                    SplashActivity.this.startActivity(intent);
                    return true;
                }
            });
            hasMenu = true;
        }
        return true;
    }


}
